<div style="width: 400px; margin: auto;">
  <div *ngIf="currentProduct" class="edit-form">
    <h4>Product</h4>
    <form>
      <div class="form-group">
        <label for="name">Name</label>
        <input
          type="text"
          class="form-control"
          id="name"
          [(ngModel)]="currentProduct.name"
          name="name"
        />
      </div>
      <div class="form-group">
        <label for="brand">Brand</label>
        <input
          type="text"
          class="form-control"
          id="brand"
          [(ngModel)]="currentProduct.brand"
          name="brand"
        />
      </div>
      <div class="form-group">
        <label for="description">Description</label>
        <input
          type="text"
          class="form-control"
          id="description"
          [(ngModel)]="currentProduct.description"
          name="description"
        />
      </div>
      <div class="form-group">
        <label for="brand">Price</label>
        <input
          type="text"
          class="form-control"
          id="price"
          [(ngModel)]="currentProduct.price"
          name="price"
        />
      </div>
      <div class="form-group">
        <label for="brand">stock</label>
        <input
          type="text"
          class="form-control"
          id="stock"
          [(ngModel)]="currentProduct.stock"
          name="price"
        />
      </div>
    </form>


    <button class="badge badge-danger mr-2" (click)="deleteProduct()">
      Delete
    </button>

    <button
      type="submit"
      class="badge badge-success"
      (click)="updateProduct()"
    >
      Update
    </button>
    <button class="badge badge-danger mr-2" (click)="deleteProduct()">
      Delete
    </button>

    <p>{{ message }}</p>
  </div>

  <div *ngIf="!currentProduct">
    <br />
    <p>Cannot access this Product...</p>
  </div>
</div>
